//
//  TSPageNullView.swift
//  AIEmoji
//
//  Created by 100Years on 2025/2/13.
//


class TSPageNullView: TSBaseView {

    lazy var imageView: UIImageView = {
        return UIImageView.createImageView(imageName: "pageNull")
    }()
    
    lazy var titleLabel: UILabel = {
        let titleLabel = UILabel.createLabel(text:"No record".localized ,font:.font(size: 14.0),textColor: .white,textAlignment: .center,numberOfLines: 0)
        return titleLabel
    }()
    
    

    override func creatUI() {
        
        self.frame = CGRectMake(0, 0, k_ScreenWidth, k_ScreenHeight - k_Nav_Height)
        
        contentView.addSubview(imageView)
        imageView.snp.makeConstraints { make in
            make.top.equalTo(151)
            make.centerX.equalToSuperview()
            make.width.height.equalTo(120)
        }

        contentView.addSubview(titleLabel)
        titleLabel.snp.makeConstraints { make in
            make.top.equalTo(imageView.snp.bottom)
            make.leading.equalTo(16)
            make.trailing.equalTo(-16)
            make.height.equalTo(20)
        }

    }
    
    
    
}
